/*
 * $Id: util.h,v 1.5 2005/03/06 00:21:12 kos Exp $
 *
 */

#ifndef _UTIL_H
#define _UTIL_H

#include <time.h>

#define DEF_LINELEN 1024
#define STRINGS_LEN 8

#define ISSTRING(x) (x>32 && x<128)

typedef struct strings_t {
  char strings[DEF_LINELEN];
  int start;
} strings_t;

void tokenize(char *usrc, char **tokens, int *ntokens);
unsigned char *geek_print(unsigned int);
unsigned char *mac2ascii(unsigned char *);
unsigned char *hex2ascii(unsigned char *, int);
unsigned char *string_printable(unsigned char *);
unsigned char *uptime(time_t);
int strings_clear(strings_t *s);
int strings_add(strings_t *s, unsigned char *p, int l);

#endif /* _UTIL_H */
